import { jsx as _jsx } from "react/jsx-runtime";
import SearchBar from './SearchBar';
const meta = {
    title: 'General/SearchBar',
    component: SearchBar,
    decorators: [(Story) => _jsx(Story, {})],
};
export const Default = {};
Default.args = {
    groupFilters: [
        { label: 'All', value: 'all' },
        { label: 'GroupFilter 2', value: 'GroupFilter2' },
        { label: 'GroupFilter 3', value: 'GroupFilter3' },
    ],
    filterFacets: [
        {
            label: 'Filter by 1',
            value: '1',
        },
        {
            label: 'Filter by 2',
            value: '2',
        },
    ],
    onSearch: (searchParams) => {
        console.log('searchParams', searchParams);
    },
    searchTitle: '',
    placeholder: 'Search Placeholder Text',
};
export default meta;
